<?php
/**
*
* @package jserrlog
* @copyright (c) 2015 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace c61\jserrlog\controller;

use Symfony\Component\HttpFoundation\Response;

class jserrlog
{
	protected $config;
	protected $request;
	protected $pagination;
	protected $db;
	protected $auth;
	protected $template;
	protected $user;
	protected $helper;
	protected $phpbb_root_path;
	protected $php_ext;
	protected $table_prefix;

	public function __construct(\phpbb\config\config $config, \phpbb\request\request_interface $request, \phpbb\pagination $pagination, \phpbb\db\driver\driver_interface $db, \phpbb\auth\auth $auth, \phpbb\template\template $template, \phpbb\user $user, \phpbb\controller\helper $helper, $phpbb_root_path, $php_ext, $table_prefix)
	{
		$this->config = $config;
		$this->request = $request;
		$this->pagination = $pagination;
		$this->db = $db;
		$this->auth = $auth;
		$this->template = $template;
		$this->user = $user;
		$this->helper = $helper;
		$this->phpbb_root_path = $phpbb_root_path;
		$this->php_ext = $php_ext;
		$this->table_prefix = $table_prefix;
	}

	public function index()
	{
		// page
		page_header($this->user->lang['JSERRLOG_TITLE']);

		$this->template->set_filenames(array(
			'body' => 'jserrlog_body.html'
		));

		$this->template->assign_vars(array(
			'JSERRLOG' => 1
		));

		page_footer();

		return new Response($this->template->return_display('body'), 200);
	}

	public function test()
	{
		// page
		page_header($this->user->lang['JSERRLOG_TITLE']);

		$this->template->set_filenames(array(
			'body' => 'jserrlog_test_body.html'
		));

		page_footer();

		return new Response($this->template->return_display('body'), 200);
	}
}